%global _default_patch_fuzz 2
%global _hardened_build 1
%global checkout 036e314

Name:               lldpad
Version:            1.0.1
Release:            13
Summary:            Intel LLDP Agent
License:            GPLv2
URL:                https://www.open-lldp.org
Source0:            https://github.com/openSUSE/lldpad/archive/%{name}-%{version}.tar.gz
Patch1:	            open-lldp-v1.0.1-1-VDP-vdp22_cmds-retrieve-vsi-paramenter-data.patch
Patch2:		    open-lldp-v1.0.1-2-VDP-vdptool-first-version.patch
Patch3:		    open-lldp-v1.0.1-3-VDP-vdptool-test-cases-Some-test-cases-to-test-the-n.patch
Patch4:		    open-lldp-v1.0.1-4-VDP-Changes-to-make-the-interface-to-VDP22-in-lldpad.patch
Patch5:		    open-lldp-v1.0.1-5-VDP-Support-for-get-tlv-in-vdptool-and-VDP22.patch
Patch6:		    open-lldp-v1.0.1-6-VDP-Support-in-VDP22-for-correct-error-code-status-t.patch
Patch7:		    open-lldp-v1.0.1-7-VDP-Support-for-OUI-infrastructure-in-VDP22.patch
Patch8:		    open-lldp-v1.0.1-8-VDP-Support-for-OUI-infrastructure-in-vdptool.patch
Patch9:		    open-lldp-v1.0.1-9-VDP-Support-for-OUI-infrastructure-in-vdp22.patch
Patch10:	    open-lldp-v1.0.1-10-VDP-Support-for-OUI-infrastructure-in-vdp22.patch
Patch11:	    open-lldp-v1.0.1-11-VDP-Support-for-Cisco-specific-OUI-extensions-to-VDP.patch
Patch12:	    open-lldp-v1.0.1-12-VDP22-Fix-the-ack-timeout-handler-to-set-the-right-t.patch
Patch13:	    open-lldp-v1.0.1-13-VDP-Changes-in-OUI-infra-for-get-tlv.patch
Patch14:	    open-lldp-v1.0.1-14-VDP-Changes-in-Cisco-OUI-handlers-to-support-get-tlv.patch
Patch15:	    open-lldp-v1.0.1-15-VDP-Add-vdptool-man-page-to-Makefile.patch
Patch16:	    open-lldp-v1.0.1-16-VDP-Fixed-DBG-print-compile-errors-in-32-bit-systems.patch
Patch17:	    open-lldp-v1.0.1-17-lldp-automake-fixes-for-dist-distcheck.patch
Patch18:	    open-lldp-v1.0.1-18-enabled-test-tool-building-for-distcheck.patch
Patch19:	    open-lldp-v1.0.1-19-nltest-build-error.patch
Patch20:	    open-lldp-v1.0.1-20-lldp-automake-fix-drop-prefix-on-vdptool_LDADD.patch
Patch21:	    open-lldp-v1.0.1-21-lldpad-Fix-DCBX-event-generation-from-lldpad.patch
Patch22:	    open-lldp-v1.0.1-22-vdp-Fixed-the-memory-leak-for-modify-VSI-support-for.patch
Patch23:	    open-lldp-v1.0.1-23-lldp-make-TTL-TLV-configurable.patch
Patch24:	    open-lldp-v1.0.1-24-switch-from-sysv-to-posix-shared-memory-apis.patch
Patch25:	    open-lldp-v1.0.1-25-l2_linux_packet-correctly-process-return-value-of-ge.patch
Patch26:	    open-lldp-v1.0.1-26-lldpad-system-capability-incorrect-advertised-as-sta.patch
Patch27:	    open-lldp-v1.0.1-27-fix-build-warnings.patch

BuildRequires:      automake autoconf libtool flex kernel-headers libconfig-devel
BuildRequires:      libnl3-devel readline-devel systemd git

Requires:           readline
%{?systemd_requires}

%description
This package contains the Linux user space daemon and configuration tool for Intel LLDP Agent
with Enhanced Ethernet support for the Data Center.

%package            devel
Summary:            Header files, libraries and developer documentatio for %{name}
Requires:           %{name}%{?_isa} = %{version}-%{release}
Provides:           dcbd-devel = %{version}-%{release}
Obsoletes:          dcbd-devel < 0.9.26

%description devel
The package contains header files used for building applications that use %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 -S git

%build
./bootstrap.sh
CFLAGS=${CFLAGS:-%optflags -Wno-error}; export CFLAGS;
%configure
sed -i -e 's! \\\$compiler_flags !&\\\$CFLAGS \\\$LDFLAGS !' libtool
%make_build

%install
make install DESTDIR=%{buildroot}
install -dp %{buildroot}%{_sharedstatedir}/%{name}
%delete_la

%check
make check

%post
/sbin/ldconfig
%systemd_post %{name}.service %{name}.socket

%preun
%systemd_preun %{name}.service %{name}.socket

%postun
/sbin/ldconfig
%systemd_postun_with_restart %{name}.service %{name}.socket

%files
%defattr(-,root,root)
%doc README
%license COPYING
%{_sbindir}/*
%{_libdir}/liblldp_clif.so.*
%dir %{_sharedstatedir}/%{name}
%{_unitdir}/%{name}.*
%{_sysconfdir}/bash_completion.d/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/liblldp_clif.so
%{_libdir}/liblldp_clif.a

%files    help
%defattr(-,root,root)
%doc ChangeLog
%{_mandir}/man*/*

%changelog
* Sat Oct 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.1-13
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:modify the location of COPYING

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.1-12
- Package init

